import { _load } from '../../util/loader.js';
import { timerify } from '../../util/performance.js';
export const NAME = 'Sentry';
export const ENABLERS = ['@sentry/replay'];
export const isEnabled = ({ dependencies }) => ENABLERS.some(enabler => dependencies.has(enabler));
export const ENTRY_FILE_PATTERNS = ['sentry.{client,server}.config.{js,ts}'];
const findNycDependencies = async (configFilePath) => {
    const config = await _load(configFilePath);
    return [config.extends];
};
export const findDependencies = timerify(findNycDependencies);
